//
// include/sl/game/version.h
//

//---
// Copyright (C) 2019 Roel Sergeant (rsergeant@panix.com).
//
// This file is part of the Snow Leopard project.
//
// The Snow Leopard project is free software; you can redistribute it
// and/or modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation; either version 3, or (at your
// option) any later version.
//
// The Snow Leopard project is distributed in the hope that it will be
// useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
// Public License for more details.
//
// You should have received a copy of the GNU General Public License along with
// the Snow Leopard project; see the file COPYING. If not see
// <http://www.gnu.org/licenses/>.
//---

#ifndef SL_GAME_VERSION_H
#define SL_GAME_VERSION_H

///---
// constant SL_MAJOR_VERSION
///---
#define SL_MAJOR_VERSION 0

///---
// constant SL_MINOR_VERSION
///---
#define SL_MINOR_VERSION 0

///---
// constant SL_PATCH_VERSION
///---
#define SL_PATCH_VERSION 1

///---
// constant SL_VERSION
///---
#define SL_VERSION "v0.0.1"

///---
// global twb_binary
//
// Contains the name of the executable running. Needs to be set using the macro
// provided below
///---
extern char * twb_binary;

///---
// macro set_binary
//
// Sets the binary based on the first argument provided to main. This macro
// should be called as first statement in the main function.
///---
#define set_binary() \
    twb_binary = argv[0];

#endif // SL_GAME_VERSION_H

